Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
106 user(s) are online (64 user(s) are browsing Forums)

Members: 0
Guests: 106

more...

Support us!

Headlines

 
  Register To Post  

(1) 2 3 »
NovaBridge compatibility thread
Just popping in
Just popping in


See User information
Hi All,

With the release of NovaBridge this week I thought it might be nice to start a thread on app compatibility. My goal is to have a thread where people can post things that work or are not working with the new library.

It would also be helpful to have some notes like OS version, machine type, and video card.

I'll start!


=================
Teeworlds
X5000, OS 4.1 FE Update 2 + beta
Enhancer 2.2
RX580

Status: Runs without issue
================

Who else to jump in?

Cheers,
Bill "tekmage" Borsari

Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
WipeOut2097 CD

X5000, OS 4.1 FE Update 2 + beta
Enhancer 2.2
RX560, RX570

Status: Runs without issue, window mode.

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@Bill
Imho that should be other way around : everything works, but need to point out on those ones which didn't. At least i tested quite a lot, and everything works as expected and list is long (about 200 or 300 or something). But knowing what have issues will be intersting indeed.

For example glQuake1 have issue : when multitexturing enabled in the game (by default), then we have visuall trashing. So multitexturing need to be disabled in the game.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
Hello

System: sam 460 and RX 560,soundcard envy24ht
Installed:Enhancer 2.2,novabridge library,deleted mini and mglut library,from daniel,new rewarp and rewarp3dppc installed.

Problems:
1. supertuxcard i will startet and come this error
Data files will be fetched from: '.'
Highscores will be saved in './.supertuxkart/highscore.data'.
SDL_SetVideoMode (640x480) failed: Failed to open minigl.library
2.ADescentppcw3d
only start the screen strip and then nothing more happens.
3.Wipeout startet with or without ahi sporadically.

Geetings dirk

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@dirk67
Quote:

SDL_SetVideoMode (640x480) failed: Failed to open minigl.library
deleted mini and mglut library


One you deleted minigl4gl4es it didn't mean you not need minigl lirbaries, you just need correct ones:
http://os4depot.net/share/driver/graphics/minigl.lha

And be double sure you have deleted WARP3D_SI (if you have before), and minigl4gl4es (if you have before).

I tested old minigl version of supertuxkart myself on novabrdige : 100% work.


Quote:

Wipeout startet with or without ahi sporadically.


I remember back in days when ReWarp project were started, this kind of issue was reported, but it did happens only in fullscreen. But, with NovaBridge it works only in window mode because of hardcoded endian usage for fullscreen modes. So if you have audio issue, then probbaly you run it in fullscreen, and if it runs, it mean you probbaly didn't have installed NovaBridge (or did, but this conflicts with w3d_si for example). Also latest version of ReWarp and ReWarp3D should be installed too (exactly very latest one).

WipeOUT2097 i also tested myself, and it 100% works. Just you should be on all latest libs.

If you will still have issues with audio, then probably worth to make a report on ReWarp page.

Quote:

2.ADescentppcw3d
only start the screen strip and then nothing more happens.


Did you that one from aminet: http://aminet.net/game/shoot/ADescentPPCW3D.lha ?

I just tried, and for me it fail to runs at all (does not matter novabridge or w3d_si). For any run it just says "Error: ScreenMode request canceled, or invalid mode". Is there some magic changes need to be done to run it till moment it will starts ?


Edited by kas1e on 2022/10/28 17:06:26
Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
@kas1e

I was hoping to get a list of apps that work so I can explore and discover or re-discover new things :)

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@tekmage
Basically everything works :) But if you need a list of old os3-warp3d/minigl apps, be is 68k or warpos, then at least this one will help: http://aminet.net/search?readme=warp3D&arch[]=m68k-amigaos

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
@kas1e

i have the minigl libs installed yes and works.wow.didn't know that these libs work on the rx 560, only knew the libs from daniel.thx
thanks for the information.The game is still a bit slow will still
testing.

Wipeout just start it in window only.No sound.maybe problems with the sound card, I want to continue
testing.

ADescent wasn't that easy when I connected to my CyberstormPPC
think. The screen modes that were required were 320x240 320x256 etc. I have to look a little deeper.the link is correct.

thank you for the infos

Greetings

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@dirk67
Quote:

i have the minigl libs installed yes and works.wow.didn't know that these libs work on the rx 560, only knew the libs from daniel.thx


Before NovaBridge released of course pure minigl didn't works. It start to work only now, with NovaBridge. What you have before, it's minigl4gl4es (it is also minigl library, just hacked to work over gl4es). So now you delete minigl4gl4es ones, and install instead casual/usuall ones and they works now because of NovaBridge.

The key there is that NovaBridge give you support to old Warp3D, and MiniGL, that usuall minigl, is working over classic Warp3D. So if classic warp3d works, then minigl works over it too, of course.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
@kas1e
Also latest version of ReWarp and ReWarp3D should be installed too (exactly very latest one).

----

ReWarp and ReWarp3dPPC are the newest ?

$VER powerpc.library 18.1 (20-nov-21)
https://jenkins.sakura-it.pl/job/ReWarp/80/artifact/src/ReWarp.lha

$VER Warp3DPPC.library 4.5 (15.04.2019)
https://jenkins.sakura-it.pl/job/ReWar ... ifact/src/ReWarp3DPPC.lha

Go to top
Re: NovaBridge compatibility thread
Not too shy to talk
Not too shy to talk


See User information
Working ok lot of things, even those that did not work for me on the A1 G4XE with Radeon 7500. Well, it is not true that everything works. For example, intro Option by Potion does not work. Well, I expected it, because it was written especially for Permedia 2 chip in Bvision cards.

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@Mufa
Quote:

Well, it is not true that everything works.


It still true when we take into account old Warp3D/minigl and _properly_ written app by only API usage.

Quote:

For example, intro Option by Potion does not work. Well, I expected it, because it was written especially for Permedia 2 chip in Bvision cards.


Yes, most of good stuff from Potion were written _exactly_ for Permemdia. They dirty poking the hardware, and use not only API of warp3d (author says so years ago on demoscene portals).

In other words, you can't expect any 68k, warpos demo/game works only because we have NovaBridge. NovaBridge can't fix for us badly written stuff, or stuff which do direct usage of special hardware.

If i remember right, i even have few mails exachange with one of authors about Planet Potion, and he explain that it direclty bang the hardware, even if it use Warp3D as well. Some things were written exactly and only for Permedia2 chip, in assembler.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@dirk67

you can make softlink named "." and point it to current directory.

makelink from . ´cd´
makelink from .. /

the correct ´ symbol is if you hold ALtGr and press the | symbol on the keyboard, there few different versions of that symbol, not sure how type it on Windows. (so I typed the reverese one)

(what it does taks the output of CD command and use it as input for your command line.)

(NutsAboutAmiga)

Basilisk II for AmigaOS4
AmigaInputAnywhere
Excalibur
and other tools and apps.
Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@LiveForIT
dirk67's problem was missing minigl libs. The "fetching from directory" printf are correct one and harmless (i know this because it was me doing this port).

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
@kas1e

Maybe you could make a short tutorial on what the optimal NovaBridge install is? What libs where and what version etc. Just so that people are on the same page before testing.

I have WipeOut running fine but no sound for instance. And i get a DSI when I exit.

Just a thought! And thank you in advance!

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@johnfante

Music in WipeOut 2097 require the cdplayer.library installed and the original CD of the game to read the audio tracks

http://os4depot.net/?function=showfil ... ry/audio/cdplayer_lib.lha

Sam440ep Flex 800Mhz 160GB HD + AmigaOS 4.1
Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
@samo79

I am aware of that And have updated to the version of CDplayer.library you are pointing to. However, I have no sound at all. No sound effects. Nothing. And I have enabled AHI sound.

BTW: I do not have a physical CD in my X5000 so I have ripped the CD and mounted the image. Have anyone managed to get the WipeOut music working form a mounted image?

Go to top
Re: NovaBridge compatibility thread
Home away from home
Home away from home


See User information
@johnfante
Quote:


Maybe you could make a short tutorial on what the optimal NovaBridge install is?


Just everything from Enhancer 2.2 will fits (novabridge, nova itself, radeonhd and radeonrx too).

I remember there were issues with sound in WipeOut, they were relatest to ReWarp or kind of (there was a ticket about this issue in the ReWarp bug-tracker). But i do not have on my setup that kind of issues, so my bet will be:

1). install latest ReWarp and ReWarp3D
2). use original CD of wipeout with CUE and mount in diskimage gui exactly via .cue (so to have audio tracks working).
3). also you need to install not only CDplayer.library, but ptplay.lirbary and ptreplay.library (all on os4depot).


Those old 68k/warpos apps for sure not easy to install, and that need some expirience. It's not unpack/dbl-click run for sure :)

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge compatibility thread
Not too shy to talk
Not too shy to talk


See User information
There seems to be a bit of a problem with NovaBridge working with WarpView at 4k resolution (3840x2160).
(Pictures are cut off roughly halfway across the screen.)

Go to top
Re: NovaBridge compatibility thread
Just popping in
Just popping in


See User information
@@kas1e




Thank you for the explanation of minigl and Novabridge.

I haven't got any further with wipeout.the 2 PTlibs
I have also installed.but maybe this error says something.
after finishing the game a CLI message appears
Prozess:Background CLI
Funktion:Wait Until Child ends (Shell)
Error Prozess: wo2097 mixer <pid=185>

Greetings

Go to top

  Register To Post
(1) 2 3 »

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2023 The XOOPS Project